Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001165Frama-CKernelpublic2012-04-17 16:142014-02-12 16:58
ReporterAnne 
Assigned Tovirgile 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Nitrogen-20111001 
Target VersionFixed in VersionFrama-C Oxygen-20120901 
Summary0001165: [libc] erreur: #endif sans #if
DescriptionThis error is at least in:
/usr/local/share/frama-c/libc/fcntl.h
/usr/local/share/frama-c/libc/termios.h
/usr/local/share/frama-c/libc/unistd.h

(and maybe others... I didn't check)
Additional InformationI guess that it is because of the missing usual lines:

#ifndef __FC_XXX
#define __FC_XXX

at the beginning of these files.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0002926)
Anne (reporter)
2012-04-17 16:22

I wonder if it is not [headache] fault... Sometimes, I already lost some lines at the beginning of some files. It seems that there must be at least one empty line after the header...
(0004697)

2014-02-12 16:58

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2012-04-17 16:14 Anne New Issue
2012-04-17 16:22 Anne Note Added: 0002926
2012-04-17 17:09 svn Checkin
2012-04-17 17:09 svn Status new => resolved
2012-04-17 17:09 svn Resolution open => fixed
2012-04-24 16:50 signoles Status resolved => assigned
2012-04-24 16:50 signoles Assigned To => virgile
2012-04-24 16:50 signoles Status assigned => resolved
2012-09-19 17:15 signoles Fixed in Version => Frama-C Oxygen-20120901
2012-09-19 17:16 signoles Status resolved => closed
2014-02-12 16:58 Note Added: 0004697
2014-02-12 16:58 Status closed => resolved


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker